#include <dos/dosextens.h>
#include <proto/dos.h>
#include <stdio.h>
#include <fcntl.h>
#include <dialog/user.h>
#include <proto/dlg.h>

extern struct USER_DATA StUser;

char wheel[9] = "\010|\010/\010-\010\\";
char wheelpos;
BPTR wheelfh;

void StartWheel(void)

{wheelfh  = Output();
 wheelpos = 0;

 AFPrintf(&StUser, wheelfh, "%a3 ");
}

void TurnWheel(void)

{Write(wheelfh, wheel+wheelpos, 2L);

 wheelpos += 2;
 if (wheelpos == 8)  wheelpos=0;
}


void StopWheel(void)

{AFPrintf(&StUser, Output(), "%a6\010 \010");
}
